unit uPluginControllerTraspasos;

interface

uses
  uModuleController, uInterfaces, uHostManager, Menus, Classes, ActnList,
  ImgList, Controls, PngImageList, uBizTraspasos;

type
  IMCTraspasos = interface(IInterface)
  ['{FF27B168-B706-414A-B584-1A6E4C984BDC}']
  end;

  TModuleTraspasos = class(TModuleController, IMCTraspasos)
    menu: TMenuItem;
    ExtraImages: TPngImageList;
    LargeImages: TPngImageList;
    MainMenu: TMainMenu;
    ModuleActionList: TActionList;
    SmallImages: TPngImageList;
    actTraspasos: TAction;
    Controldeventasenproceso1: TMenuItem;
    procedure actTraspasosExecute(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

uses
  Forms, Dialogs, uGUIBase, SysUtils, uDataModuleTraspasos,
  uEditorListaTraspasos;

function GetModule : TModuleController;
begin
  Result := TModuleTraspasos.Create(NIL);
end;

exports
  GetModule name GET_MODULE_FUNC;

{
******************************* TModuleContactos *******************************
}

procedure TModuleTraspasos.actTraspasosExecute(Sender: TObject);
var
  aControl: IBizTraspasos;
  aObj: IEditorListaTraspasos;
begin
  aControl := dmTraspasos.GetItems(titPendiente);
  aObj := TfEditorListaTraspasos.Create(Application);
  try
    with aObj do
    begin
      Items := aControl;
      ShowEmbedded;
    end;
  finally
    aControl := NIL;
    aObj := NIL;
  end;
end;

initialization
  RegisterModuleClass(TModuleTraspasos);

finalization
  UnRegisterModuleClass(TModuleTraspasos);

end.
